commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sam Berlin <sber...@limepeer.com>
Subject [Logging] Using Commons Logging With JDK 1.1
Date Mon, 03 Nov 2003 19:17:39 GMT
Helllo Everyone,

I am attempting to incorporate commons-logging into LimeWire 
(www.limewire.org).  We support Mac Classic, and thus must support Java 
1.1.8.  It appears as though the commons-logging requires Java2, despite 
comments in the code that reference 1.1 support (such as the catching of 
NoSuchMethodException within LogFactory.getContextClassLoader).  The 
depenency on 1.2 is because of the use of java.security.PrivilegedAction 
and java.security.AccessController in multiple classes.

Is the Java2 requirement an oversight, or by design?  Is there a fork 
somewhere that supports 1.1.8?

Thank you in advance, and my apologies for asking a question immediately 
after joining the list.

Thanks,
  Sam


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-user-help@jakarta.apache.org


Mime
View raw message